Bug 121163 - KDE crashes when trying to log in on system with LDAP auth. and NFS home directories
KDE crashes when trying to log in on system with LDAP auth. and NFS home dire...
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Petr Rockai
Depends On:
  Show dependency treegraph
Reported: 2004-04-18 06:12 EDT by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-14 05:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2004-04-18 06:12:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
On my scool, we are beginning to investigate the possibilities of
replacing Win XP with Linux, and have set up a system composed of a
Debian file/login-server, 9 thick clients, and a newly bought
application server which will serve up about 10 thin clients.

The authentification is made by LDAP (we have set up the thick clients
to get user info and authentificate by LDAP in
redhat-config-authentication), and the home directories are mounted by

This setup works great in GNOME, but when trying to log into KDE
(setting "session type" to KDE in GDM), KDE starts loading, but at
some point it crashes, showing a bug dialog, and then throwing us back
into GDM. KDEINIT is still running though (at 100% CPU), and has to be
killed off manually.

I can see that you probably need more information than this, but I
onestly don't know what to look for.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select KDE as "current session"
2. Enter username and password as usual
3. Hit enter to log in

Actual Results:  KDE crashes not logging in, leaving KDEINIT running
at 100% (having to be killed off manually)

Expected Results:  Getting logged in

Additional info:

This bug has been there all the time (at least in FC1), as it is there
on both machines which are completly up2date (we are using nightly yum
update), and those who are freshly installed
Comment 1 Ngo Than 2004-04-21 11:00:34 EDT
could you please try kde 3.2.2 on ftp.kde.org. I have seen some change
in this release which should fix this problem
Comment 2 Kyrre Ness Sjøbæk 2004-04-21 11:37:29 EDT
Il try if you tell me where to find an rpm...

Can't find anything like that - and honestly I don't have a clue about
how to install something as complex as KDE from source...

Where on their server is it?
Comment 3 Petr Rockai 2005-10-03 09:26:59 EDT
Can you please try reproducing with current fedora core 4. Also, if the crash    
is still present, can you please post the backtrace? More details on system   
configuration could help, too. Possibly strace of the offending (hanging)   
kdeinit process and such.  
Also, how does your nsswitch.conf look like? Mount options of /home 
partitions? Are hostnames set up properly on the machines? (that is, can the 
hostname be resolved to IP address?). 
Comment 4 Kyrre Ness Sjøbæk 2005-10-03 13:50:53 EDT
No can't do, sorry. I no longer has access to either the machines or the network
or an LDAP server - they where at at the Norwegian equalient of a highscool, and
i'm at university now... Sorry.
Comment 5 Petr Rockai 2006-03-14 05:07:39 EST
Since this bug is fairly old (happened in FC1 with fairly old upstream version    
of KDE) and noone else encountered this, chances are this has either    
disappeared or was a problem specific to the particular installation. I have  
verified that i can login to KDE on a fresh LDAP account with NFS mounted home  
even under FC3 KDE (using GDM from FC3 as well). The ldap+nfs server in this 
experiment was running RHEL4. I am therefore closing this bug.  

Note You need to log in before you can comment on or make changes to this bug.